> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Pipelines

> List all custom processors for a team.
Returns processors ordered by creation date (newest first).



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/custom_processors
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_processors:
    get:
      tags:
        - Custom Processors
      summary: List Custom Pipelines
      description: |-
        List all custom processors for a team.
        Returns processors ordered by creation date (newest first).
      operationId: list_custom_pipelines_api_v1_custom_processors_get
      parameters:
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomProcessorListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CustomProcessorListResponse:
      properties:
        pipelines:
          items:
            $ref: '#/components/schemas/ProcessorListItem'
          type: array
          title: Pipelines
          description: List of custom processors
      type: object
      title: CustomProcessorListResponse
      description: Response schema for listing all custom processors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProcessorListItem:
      properties:
        processor_id:
          type: string
          title: Processor Id
          description: 'Unique processor ID (format: cp_XXXXX)'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Short display name for the processor
        request_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Description
          description: Description from the active version
        status:
          type: string
          title: Status
          description: 'Current status: ''processing'', ''completed'', or ''failed'''
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
          description: Whether generation succeeded (null if still processing)
        created_at:
          type: string
          title: Created At
          description: ISO timestamp when processor was created
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
          description: ISO timestamp when processor completed (null if still processing)
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if failed
        active_version:
          type: integer
          title: Active Version
          description: Currently active version number (0 = no version yet)
          default: 0
        max_version:
          type: integer
          title: Max Version
          description: Highest version number that exists for this processor
          default: 0
        iteration_in_progress:
          type: boolean
          title: Iteration In Progress
          description: Whether an iteration is currently running
          default: false
        is_template:
          type: boolean
          title: Is Template
          description: Whether this processor is also published as a template
          default: false
        eval_rubric_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eval Rubric Id
          description: ID of linked eval rubric
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
          description: Pipeline workspace ID (pl_XXXXX) for this processor
      type: object
      required:
        - processor_id
        - status
        - created_at
      title: ProcessorListItem
      description: Minimal processor information for list view.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````